/* *********************************************************************** *
 * Copyright (C) 2009 by Ulrich Van Den Hekke                              *
 * ulrich.vdh@shadoware.org                                                *
 *                                                                         *
 * This program is free software: you can redistribute it and/or modify    *
 * it under the terms of the GNU General Public License as published by    *
 * the Free Software Foundation, either version 3 of the License, or       *
 * (at your option) any later version.                                     *
 *                                                                         *
 * This program is distributed in the hope that it will be useful,         *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 * GNU General Public License for more details.                            *
 *                                                                         *
 * You should have received a copy of the GNU General Public License       *
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.   *
 * *********************************************************************** */

// LibXml2 Parser
#include <libxml/parser.h>

// Qt header
#include <QString>
#include <QTest>

void parseWithLibxml2DomParser( const QString & filename ) {
	xmlDocPtr doc;
	xmlNodePtr racine;

	// Ouverture du fichier XML
	doc = xmlParseFile( qPrintable( filename ) );
	if( doc == NULL ) {
		QFAIL( "Can't parse the file" );
		return ;
	}

	// Récupération de la racine
	racine = xmlDocGetRootElement( doc );
	if( racine == NULL ) {
		QFAIL( "Can't get the root element" );
		xmlFreeDoc( doc );
		return;
	}

	xmlFreeDoc( doc );
}
