# Copyright (C) 2009 by Ulrich Van Den Hekke
# ulrich.vdh@shadoware.org
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# LIB XML 2
LIBXML2PATH = /usr/include/libxml2
LIBS += -lxml2
INCLUDEPATH += $$LIBXML2PATH
HEADERS += libxml2parser.h
SOURCES += libxml2parser.cpp

# EXPAT
LIBS += -lexpat
HEADERS += expatparser.h
SOURCES += expatparser.cpp

# XERCES
LIBS += -lxerces-c
HEADERS += xercescppparser.h
SOURCES += xercescppparser.cpp

# ORACLE
CONFIG += no_lflags_merge
HEADERS += oracleparser.h
SOURCES += oracleparser.cpp

# ORACLE XDK 10
DEFINES += XDK10
XDKPATH = xdk10/
XDK_LIB = -lxml10
ORA_LIB = -lcore10 -lnls10 -lunls10 -lcore10 -lnls10 -lcore10
NET_LIB = -lnsl
LIBS += -L$$XDKPATH/lib $$XDK_LIB $$ORA_LIB -ldl -lirc $$NET_LIB -lpthread
INCLUDEPATH += $$XDKPATH/xdk/include

# ORACLE XDK 9
#DEFINES += XDK9
#XDKPATH = xdk9
#XDK_LIB = -lxmlg9 -lxml9 -lxsd9
#ORA_LIB = -lcore9 -lnls9 -lunls9 -lcore9 -lnls9 -lcore9
#NET_LIB = -lnsl
#LIBS += -L$$XDKPATH/lib $$XDK_LIB $$ORA_LIB $$NET_LIB -lpthread
#INCLUDEPATH += $$XDKPATH/xdk/include

# QT DOM
QT += xml
HEADERS += qtparser.h
SOURCES += qtparser.cpp

# Scew Parser
HEADERS += scewparser.h
SOURCES += scewparser.cpp
LIBS += -Lscew/scew -lscew
INCLUDEPATH += scew/

# Tiny XML Parser
INCLUDEPATH += tinyxml/
HEADERS += tinyparser.h tinyxml/tinyxml.h tinyxml/tinystr.h
SOURCES += tinyparser.cpp tinyxml/tinyxml.cpp tinyxml/tinystr.cpp tinyxml/tinyxmlerror.cpp tinyxml/tinyxmlparser.cpp
DEFINES += TIXML_USE_STL

# Test Program
QT += testlib
HEADERS += xmlparserbenchmark.h
SOURCES += xmlparserbenchmark.cpp

QMAKE_CXXFLAGS_RELEASE = "-O3"
